<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>Q-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Q-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:Q">
<!--   -->
</a>
<h2 class="title">Q</h2>
<dl>
<dt><a href="../queries/package-summary.html">queries</a> - package queries</dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/boolquery/package-summary.html">queries.boolquery</a> - package queries.boolquery</dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/fulltext/package-summary.html">queries.fulltext</a> - package queries.fulltext</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/boolquery/Bool.html#query">query</a></span> - Variable in class queries.boolquery.<a href="../queries/boolquery/Bool.html" title="class in queries.boolquery">Bool</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/QueryMalformedException.html" title="class in queries"><span class="typeNameLink">QueryMalformedException</span></a> - Exception in <a href="../queries/package-summary.html">queries</a></dt>
<dd>
<div class="block">Represents a QueryType specific exception</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/QueryMalformedException.html#QueryMalformedException--">QueryMalformedException()</a></span> - Constructor for exception queries.<a href="../queries/QueryMalformedException.html" title="class in queries">QueryMalformedException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/QueryMalformedException.html#QueryMalformedException-java.lang.String-">QueryMalformedException(String)</a></span> - Constructor for exception queries.<a href="../queries/QueryMalformedException.html" title="class in queries">QueryMalformedException</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/fulltext/QueryString.html" title="class in queries.fulltext"><span class="typeNameLink">QueryString</span></a> - Class in <a href="../queries/fulltext/package-summary.html">queries.fulltext</a></dt>
<dd>
<div class="block">Represents the ES query_string query</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/QueryString.html#QueryString--">QueryString()</a></span> - Constructor for class queries.fulltext.<a href="../queries/fulltext/QueryString.html" title="class in queries.fulltext">QueryString</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/QueryString.html#QueryString-java.lang.String-java.util.ArrayList-java.lang.String-java.lang.String-float-">QueryString(String, ArrayList&lt;String&gt;, String, String, float)</a></span> - Constructor for class queries.fulltext.<a href="../queries/fulltext/QueryString.html" title="class in queries.fulltext">QueryString</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/QueryType.html" title="interface in queries"><span class="typeNameLink">QueryType</span></a> - Interface in <a href="../queries/package-summary.html">queries</a></dt>
<dd>
<div class="block">Represents a generic query, it provides a method to build and retrieve the ES query associated
 to this.</div>
</dd>
<dt><a href="../deserialization/QueryTypeDeserializer.html" title="class in deserialization"><span class="typeNameLink">QueryTypeDeserializer</span></a> - Class in <a href="../deserialization/package-summary.html">deserialization</a></dt>
<dd>
<div class="block">QueryType custom deserializer, it stores the associations between query name and their type.</div>
</dd>
<dt><span class="memberNameLink"><a href="../deserialization/QueryTypeDeserializer.html#QueryTypeDeserializer--">QueryTypeDeserializer()</a></span> - Constructor for class deserialization.<a href="../deserialization/QueryTypeDeserializer.html" title="class in deserialization">QueryTypeDeserializer</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
